Loading...
Searching...
No Matches
DataProvider::DataProviderFactoryInfo Struct Reference

Data provider factory info. More...

`#include <AbstractDataProviderFactory.qc.dox.h>`

## Public Attributes

bool | api_management = False
| Does this factory create a data provider suitable for server-side API management.
*softlist< string > | api_profiles
| Which server profiles are supported for API management (if any)?
bool | children_can_support_apis = False
| Can any child data providers offer API services (request - response data providers)?
bool | children_can_support_messages = False
| Can any child data providers support messages?
bool | children_can_support_observers = False
| Can any child data providers support the observer pattern / event API?
bool | children_can_support_records = False
| Can any child data providers offer record-based providers?
bool | children_can_support_transaction_management = False
| Can any child data providers support transaction management?
string | desc
| The factory description.
string | name
| The factory name.
hash< DataProviderInfo > | provider_info
| Info about providers created from this factory (without the name and children attributes)

## Detailed Description

Data provider factory info.

## Member Data Documentation

## children_can_support_transaction_management

bool DataProvider::DataProviderFactoryInfo::children_can_support_transaction_management = False

Can any child data providers support transaction management?

Since
  DataProvider 2.8